# Base install directories for standard Ruby libraries
%ruby24_libdir_parent       %{_datadir}/ruby
%ruby24_libarchdir_parent   %{_libdir}/ruby
%ruby24_libdir              %{ruby24_libdir_parent}/2.4
%ruby24_libarchdir          %{ruby24_libarchdir_parent}/2.4

%ruby24_hdrdir              %{_includedir}/ruby/2.4

# Local lib/arch for user installed libraries. Nothing should be
# installed here by the vendor
%ruby24_sitelibdir_parent   %{_prefix}/local/share/ruby/site_ruby
%ruby24_sitelibdir          %{ruby24_sitelibdir_parent}/2.4
%ruby24_sitearchdir         %{_prefix}/local/%{_lib}/ruby/site_ruby/2.4
%ruby24_sitehdrdir          %{_prefix}/local/include/ruby/2.4

# Vendor lib/arch for vendor installed libraries. Nothing should be
# installed here by the user
%ruby24_vendorlibdir_parent %{_datadir}/ruby/vendor_ruby
%ruby24_vendorlibdir        %{ruby24_vendorlibdir_parent}/2.4
%ruby24_vendorarchdir       %{_libdir}/ruby/vendor_ruby/2.4
%ruby24_vendorhdrdir        %{ruby24_hdrdir}

# For ruby packages we want to filter out any provides caused by private
# libs in %%{ruby24_vendorarchdir}/%%{ruby24_sitearchdir}.
#
# Note that this must be invoked in the spec file, preferably as
# "%{?ruby24_default_filter}", before any %description block.
%ruby24_default_filter %{expand: \
%global __provides_exclude_from %{?__provides_exclude_from:%{__provides_exclude_from}|}^(%{ruby24_vendorarchdir}|%{ruby24_sitearchdir})/.*\\\\.so$ \
}
